Get Chat
GET
/api/partner/v2/chats/{chat_id}
const url = 'https://api.linqapp.com/api/partner/v2/chats/1';const options = { method: 'GET', headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.linqapp.com/api/partner/v2/chats/1 \ --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'Retrieves details for a specific chat
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” chat_id
required
integer
The chat ID
Responses
Section titled “ Responses ”Successful response
Media type application/json
object
data
object
id
integer
display_name
The display name for the chat. Returns a manually set group name if present, otherwise a comma-separated list of participant names/phone numbers.
string
service
The messaging service used for this chat
string
group
Whether this is a group chat
boolean
message_count
Number of messages in the chat. For newly created chats, this will be 1 (the initial message). For existing chats, this could be any number.
integer
chat_handles
Array<object>
object
id
integer
phone_number
The phone number or email identifier for this participant
string
service
The messaging service for this handle
string
joined_at
string format: date-time
Example
{ "data": { "id": 45, "display_name": "John Doe, Jane Smith", "service": "iMessage", "group": false, "message_count": 15, "chat_handles": [ { "id": 123, "phone_number": "+15551234567", "service": "iMessage", "joined_at": "2025-05-21T15:30:00.000-05:00" }, { "id": 124, "phone_number": "+15559876543", "service": "iMessage", "joined_at": "2025-05-21T15:30:00.000-05:00" } ] }}Chat not found
Media type application/json
Standard error format used by most endpoints (render_error format)
object
errors
Array<object>
object
status
integer
code
string
title
string
detail
string
Example
{ "errors": [ { "status": 404, "code": "not_found", "title": "Not Found", "detail": "Chat not found" } ]}